$regfile = "8515def.dat"
$crystal = 4000000

Ddrb = &B00000011                       ' Portb.0 und Portb.1 sind Ausgang
Portb = &B00000011                      ' Eingnge sind hochohmig

Led0 Alias Portb.0

Config Aci = On , Compare = Off , Trigger = Rising       ' Konfiguration Analog Komparataor
Start Ac                                ' Enable Analog Comparator

Do
  Gosub Discharge                       ' Entlade Kondensator
  Gosub Charge                          ' Lade Kondensator bis Komparatorschwelle
  Wait 2                                ' Warte 1 Sekunde
Loop

Stop Ac                                 ' Disable Analog Comparator
End

Discharge:                              ' Entlade Kondensator
  Config Pinb.2 = Output
  Waitms 10                             ' Entladezeit 10 ms
  Config Pinb.2 = Input
Return

Charge:                                 ' Lade Kondensator
  Led0 = 0                              ' Schalte LED ein
  Do
  Loop Until Acsr.aco = 1               ' Warte bis Komparatorschwelle erreicht ist
  Led0 = 1                              ' Schalte LED aus
Return
