$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3690000                                          ' fr STK500
$baud = 4800                                                ' NMEA Schnittstelle

Const Instruct = 254
Const Setcursor = 71                                        ' [x] [y]
Const Cleardisplay = 88

Dim C As Byte
Dim I As Byte
Dim Sspeed As String * 9
Dim Soutput As String * 11

Declare Sub Wait_for_char(byval C As String)
Declare Sub Wait_for_string(byval S As String)
Declare Function Read_string() As String

Open "Comb.0:19200,8,N,1,inverted" For Output As #1         ' PB0 ist ser. Ausgang
Wait 1
Print #1 , Chr(instruct) ; Chr(cleardisplay);
Print #1 , "Lese $GPVTG..."
Waitms 100

Config Serialin = Buffered , Size = 100                     ' Konfig. der ser. Eingabe
Enable Interrupts
' $GPVTG,t,T,,,s.ss,N,s.ss,K*hh
Do
   Call Wait_for_string( "$GPVTG,")                         ' Warte auf $GPRMC
   Sspeed = Read_string()                                   ' Lese UTC Zeitangabe
   For I = 1 To 5                                           ' Lese 6 Kommas
      Call Wait_for_char( ",")
   Next
   Sspeed = Read_string()                                   ' Lese Datum
   Soutput = Sspeed + " km/h"
   Print #1 , Chr(instruct) ; Chr(setcursor) ; Chr(1) ; Chr(3);
   Waitms 100
   Print #1 , Soutput;
Loop

Close #1
End

Sub Wait_for_char(byval C As String)
Local Cc As Byte
Do
   Cc = Waitkey()
Loop Until Cc = Chr(c)
End Sub

Sub Wait_for_string(byval S As String) As String
Local Ii As Byte
Local Cc As Byte

Ii = 1
M1:
   Cc = Waitkey()
   If Cc <> Mid(s , Ii , 1) Then
      Goto M1
   Else
      Incr Ii
      If Ii > Len(s) Then Goto M2
      Goto M1
   End If
M2:
End Sub

Function Read_string() As String
Local Cc As Byte
Local Ss As String * 10
Ss = ""
Do
   Cc = Waitkey()
   Ss = Ss + Chr(cc)
Loop Until Cc = ","
Read_string = Left(ss , 5)
End Function