$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3686400                                          ' fr STK500
$baud = 19200

Ddrb = &HFF                                                 ' PB3-PB0 Eingang
Portb = &HFF                                                ' PullUp aktiv
Ddrd = &HE0                                                 ' PBD7-PB5 Ausgang

Dim S As String * 12
S = "123456789*0#"
Dim Ss As String * 1

Dim Column As Byte
Dim Row As Byte
Dim Key As Byte                                             ' Variable enthlt Tastennummer

Declare Function Query_matrix() As Byte

Do
   Key = Query_matrix()                                     ' Abfrage der Tastaturmatrix
   If Key <> 0 Then
      Ss = Mid(s , Key , 1)
      Print "Taste " ; Key ; " = " ; Ss                     ' Anzeige der gelesenen Taste
   End If
   Waitms 500
Loop

End

Function Query_matrix() As Byte
   Key = 0
   For Column = 0 To 2
      Portd = &HE0
      If Column = 0 Then Reset Portd.5
      If Column = 1 Then Reset Portd.6
      If Column = 2 Then Reset Portd.7
      For Row = 4 To 7
         Select Case Row
            Case 4 : Debounce Pinb.3 , 0 , Calc_key , Sub
            Case 5 : Debounce Pinb.2 , 0 , Calc_key , Sub
            Case 6 : Debounce Pinb.1 , 0 , Calc_key , Sub
            Case 7 : Debounce Pinb.0 , 0 , Calc_key , Sub
         End Select
      Next
   Next
   Query_matrix = Key
End Function Query_matrix()

Calc_key:
   Select Case Row
      Case 4 : Key = Column + 1
      Case 5 : Key = Column + 4
      Case 6 : Key = Column + 7
      Case 7 : Key = Column + 10
   End Select
Return