'---------------------------------------------------------------------
'name : lcd.bas
'programmed by : Claus Kuhnel
'date : 2008-12-28
'purpose : Test Text-LCD
'micro : ATmega8515
'tested with : V.1.11.9.3
'suited for demo : yes
'commercial addon needed : no
'---------------------------------------------------------------------
$regfile = "m8515.dat"                                      ' ATmega8515
$crystal = 3686400                                          ' fr STK500
$baud = 19200

Config Lcd = 16 * 2
Config Lcdpin = Pin , Db4 = Portb.4 , Db5 = Portb.5 , Db6 = Portb.6 , Db7 = Portb.7 , E = Portb.3 , Rs = Portb.2

Dim A As Byte

Do
   A = Waitkey()                                            ' auf Zeichen (vom Terminalfenster) warten
   If A = 27 Then Exit Do                                   ' bei ESC Schleife verlassen
   Cls                                                      ' LCD lschen
   Upperline                                                ' Zeichen auf oberer Zeile ausgeben
   Lcd "Character " ; Chr(a)
   Lowerline                                                ' Hex Wert des Zeichens auf unterer Zeile ausgeben
   Lcd "has HexCode " ; Hex(a)
   Print Chr(a);                                            ' Ausgabe seriell (ins Terminalfenster)
Loop

End