$regfile = "m8def.dat"                  ' ATmega8
$crystal = 3690000                      ' fr STK500
$baud = 19200

Const Control = &H4000                  ' Lade Eingangsregister A, DA-Register wird aktualisiert

Dim Da_data As Word At &H60
Dim B(2) As Byte At &H60 Overlay
Dim Vref As Single
Dim Voltage As Single

Config Spi = Hard , Data Order = Msb , Master = Yes , Polarity = Low , Phase = 0 , Clockrate = 4 , Noss = 1
Spiinit
' PB5 = SCK, PB3 = MOSI, PB2 = SS
Config Portb = Output
Ss Alias Portb.2
Ss = 1


Declare Sub Set_dac(da As Word)

Do
   Input "VREF A [0-4.6 V]:" , Vref
Loop Until Vref > 0 And Vref < 4.6

Do
   Do
      Input "Datenwort [0-4095]: " , Da_data
   Loop Until Da_data >= 0 And Da_data < 4096
   Print "Datenwort = " ; Da_data
   Voltage = Vref * Da_data
   Voltage = Voltage / 4096
   Voltage = Voltage * 2
   Print "DAC Voltage = " ; Voltage ; " V"
   Call Set_dac(da_data)
Loop

End

Sub Set_dac(da As Word)
  Shift Da , Left , 1                   ' Platz fr Bit S0 machen
  Da = Da Or Control                    ' Kommandobits berlagern
  Ss = 0
  Spiout B(2) , 1
  Spiout B(1) , 1
  Ss = 1
End Sub