'------------------------------------------------------------------------------------
'name : motor1.bas
'programmed by : Claus Kuhnel (based on a proposal of J. Rutherford)
'date : 2009-03-14
'purpose : Servo Control by Orangutan SV-168
'micro : ATmega168
'tested with : V.1.12.0.0 (2010-09-04)
'suited for demo : yes
'commercial addon needed : no
'------------------------------------------------------------------------------------
$regfile = "m168def.dat"                                    ' Set the chip as a Mega 168
$crystal = 20000000                                         ' Clock speed 20 MHZ
$include "orangutan.def"                                    ' include definitions and declarations for Orangutan-SV168

Red_led = 0 ' Red LED off

Do
   Red_led = 1
   Cls
   Lcd "Forward"
   Locate 2 , 1
   Lcd "Hi Speed"
   M1_forward 180
   Wait 2
   Red_led = 0
   Cls
   Lcd "Stopp"
   Call M1_stop()
   Waitms 200
   Cls : Locate 2 , 1
   Lcd "Stopped"
   Wait 1
   Red_led = 1
   Cls
   Lcd "Reverse"
   Locate 2 , 1
   Lcd "Lo Speed"
   Call M1_reverse(140)
   Wait 2
   Red_led = 0
   Cls
   Lcd "Stopp"
   Call M1_stop()
   Waitms 200
   Cls : Locate 2 , 1
   Lcd "Stopped"
   Wait 1
Loop

End

$include "orangutan.bas" ' include subroutines and functions for Orangutan-SV168