$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3686400                                          ' fr STK500
$baud = 19200

Const True = 1
Const False = 0

Dim Hi As Byte
Dim Lo As Byte
Dim Phase As Bit

Config Timer0 = Timer , Prescale = 64

On Timer0 Timer0_isr                                        ' Sprung zur Timer0_ISR

Config Pinb.0 = Output
Led Alias Portb.0

Enable Timer0                                               ' Enable Timer0 Interrupt
Enable Interrupts                                           ' Enable Global Interrupt

Lo = 128 ' Initialwert fr PWM
Phase = True

Do
   Input "Duty [0-255]: " , Lo
   Hi = 255 - Lo
Loop

End

Timer0_isr:
   If Phase = True Then
      Led = 1                                               ' LED aus
      Timer0 = Lo                                           ' Reload Timer0
      Phase = False
   Else
      Led = 0                                               ' LED ein
      Timer0 = Hi                                           ' Reload Timer0
      Phase = True
   End If
Return