'$regfile = "2313def.dat"
$crystal = 3690000                      ' fr STK500
$baud = 9600                            ' fr MicroWebserver

Dim Requestid As Word
Dim Fileid As Word
Dim Hits As Word
Dim Status As Word

Config Portb = Output
Config Pind.2 = Input
Config Pind.3 = Input
Config Serialin = Buffered , Size = 20

Declare Function Getstring() As Word

Leds Alias Portb

Hits = 0
Status = 0                              ' willkrliche Vorgabe

Leds = Not Status
Requestid = 0
Fileid = 0

Enable Interrupts

Do
  Requestid = Getstring()               ' Warten auf Webserveranfrage
  Fileid = Getstring()
  If Fileid = 1 Then Gosub Read_status
  If Fileid = 2 Then Gosub Reset_hitcounter
  If Fileid = 3 Then Gosub Set_status
  Print "mws_requestid=" ; Requestid ; "&wms_fileid=" ; Fileid ;
  Print "&mws_hit=" ; Hits ; "&mws_status=" ; Status
Loop

End

Read_status:
  Status = Pind And &B00001100          ' Abfrage und Maskierung der Statuseingnge
  Shift Status , Right , 2
  Leds = Not Status                     ' Statusausgabe an PortB
  Incr Hits
  Return

Reset_hitcounter:
  Hits = Getstring()
  Return

Set_status:
  Status = Getstring()
  Leds = Not Status
  Return

Function Getstring() As Word
  Local Mayexit As Byte
  Local Received As String * 1
  Local Sinput As String * 10

  Mayexit = 0
  Sinput = ""
  Do
    Received = Waitkey()
    If Received > " " Then
       Mayexit = 1
       Sinput = Sinput + Received
    Elseif Mayexit = 1 Then
      Exit Do
    End If
  Loop
  Getstring = Val(sinput)
  Sinput = ""
End Function