$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3686400                                          ' for STK500
$baud = 19200

Const Reload = 180                                          ' Reloadwert fr Periode von 50 ms
'Const Reload = 195 ' bei 4 Mhz Clock

Config Pinb.5 = Output
Led Alias Portb.5
Led = 1                                                     ' LED ausgeschaltet

Config Timer0 = Timer , Prescale = 1024

On Timer0 Timer0_isr                                        ' Sprung zur Timer0_ISR

Enable Timer0                                               ' Enable Timer Interrupt
Enable Interrupts                                           ' Enable Global Interrupt

Do
   Nop
Loop

End

Timer0_isr:
   Load Timer0 , Reload                                     ' Reload Timer0
   Led = 0 : Waitms 5 : Led = 1                             ' Blink LED
Return