'$regfile = "2313def.dat"
$crystal = 3690000                      ' fr STK500
$baud = 9600                            ' fr MicroWebserver

Dim Status As Word

Const Mailserver = "E0=smtp.spectraweb.ch"       ' Ihre Mailserversadresse
Const Mailto = "info@ckuehnel.ch"       ' Empfngeradresse
Const Mailfrom = "avr@ckuehnel.ch"      ' Senderadresse

Status = &H1234                         ' willkrliche Vorgabe

Config Pind.3 = Input
Config Pind.2 = Input
Config Pinb.0 = Output
Led Alias Portb.0
Set Led                                 ' LED ausschalten


Do
  Debounce Pind.3 , 0 , Alert , Sub     ' Abfrage PinD.7
  Debounce Pind.2 , 0 , Eos             ' Abfrage PinD.6
Loop

Alert:
  Reset Led
  Print Mailserver;
  Print "&E1=" ; : Print Mailto;
  Print "&E2=" ; : Print Mailfrom;
  Print "&E3=AT90S2313 Mitteilung";
  Print "&E5=Das ist ein Mitteilung von einem AT90S2313." ;
  Print "&&SW3 (PD3) am STK500 Board wurde bettigt." ;
  Print "&Status ist " ; Status ; "."
  Set Led
  Return

Eos:
  Status = &HFFFF
  Reset Led
  Print Mailserver;
  Print "&E1=" ; : Print Mailto;
  Print "&E2=avr@ckuehnel.ch";
  Print "&E3=AT90S2313 Mitteilung";
  Print "&E5=Das ist ein Mitteilung von einem AT90S2313." ;
  Print "&&Das Programm ist beendet." ;
  Print "&Status ist " ; Status ; "."
  Set Led
  End