$regfile = "2313def.dat"                                    ' AT90S2313
$crystal = 3690000                                          ' fr STK500

Iclk Alias Portd.0
Ilatch Alias Portd.1
Idata Alias Portd.2

Reset Iclk                                                  ' ICLK = Lo
Set Ilatch                                                  ' ILATCH = Hi
Set Idata                                                   ' PullUp aktiv

Config Pind.0 = Output                                      ' Takt fr HC165
Config Pind.1 = Output                                      ' Latch fr HC165
Config Pind.2 = Input                                       ' Daten vom HC165

Oclk Alias Portb.7                                          ' Takt fr HC595
Oclr Alias Portb.6                                          ' hier nicht verwendet
Odata Alias Portb.5                                         ' Daten zum HC595
Olatch Alias Portb.4                                        ' Latch fr HC595

Reset Oclk                                                  ' OCLK = Lo
Reset Olatch                                                ' OLATCH = Lo
Reset Odata                                                 ' ODATA = Lo

Config Portb = Output

Dim X As Byte
Dim Y As Byte

Do
   Reset Ilatch                                             ' Latch fr HC165
   Set Ilatch
   Shiftin Pind.2 , Pind.0 , X , 1                          ' Lesen HC165
   Y = Not X                                                ' Bearbeitung
   Shiftout Pinb.5 , Pinb.7 , Y , 1                         ' Schreiben HC595
   Set Olatch
   Reset Olatch                                             ' Latch fr HC595
   Waitms 10                                                ' 10 ms warten
Loop

End