$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3686400                                          ' fr STK500
$baud = 9600

Dim Mean As Byte
Dim Mean_temp As Integer
Dim Lenght As Word
Dim Index As Byte
Dim Temp As Byte
Dim Value As Integer
Dim Seed As Integer

Declare Function Random(byval Z As Integer) As Integer

Const Bl = 5

Dim Buffer(bl) As Byte

Config Portb = Output
Portb = &HFF

Seed = 1234                                                 ' beliebige Initialisierung

For Index = 1 To Bl                                         ' Lschen des Buffers
   Buffer(index) = 0
Next

Do
   Index = Bl - 1
   Do                                                       ' Verschieben des Bufferinhalts
      Temp = Buffer(index)                                  ' nach hheres Adressen
      Incr Index
      Buffer(index) = Temp
      Decr Index
      Decr Index
   Loop Until Index = 0
   Value = Random(&H0f)                                     ' berechne Pseudozufallszahl 0 <= value <= 15
   Buffer(1) = Low(value)                                   ' und speichere diese in den Bufferanfang
   Mean_temp = 0                                            ' Mittelwertberechnung
   For Index = 1 To Bl
      Mean_temp = Mean_temp + Buffer(index)
   Next
   Mean_temp = Mean_temp \ Bl
   Mean = Low(mean_temp)
   Portb = Not Mean                                         ' Anzeige des Mittelwertes
   Print Value ; " " ; Mean                                 ' Ausgabe aktueller Zufallswert und Mittelwert
Loop

End

Function Random(byval Z As Integer) As Integer
   Local X As Integer
   Local Y As Long
   X = Seed * 259
   X = X + 3
   Seed = X And &H7FFF
   Y = Seed * Z
   Y = Y / &H7FFF
   Y = Y + 1
   Random = Y
End Function