'---------------------------------------------------------
' Ansteuerung eines seriellen LCDs 2041 von Matrix Orbital
'---------------------------------------------------------
$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3686400                                          ' fr STK500

Const Inst = 254
Const Autoscrollon = 81
Const Autoscrolloff = 82
Const Setcursor = 71                                        ' [x] [y]
Const Cursorhome = 72
Const Cleardisplay = 88
Const Initbigdigit = 110
Const Placebigdigit = 35                                    ' [x] [digit]
Const Initwidevbargraph = 118
Const Drawvbargraph = 61                                    ' [x] [height]
Const Inithbargraph = 104
Const Drawhbargraph = 124                                   ' [x] [y] [dir] [length]

Dim I As Byte
Dim J As Word

Config Portd = Input
Portd = 255

Open "COMD.6:19200,8,N,1,inverted" For Output As #1

Wait 1

Print #1 , Chr(inst) ; Chr(cleardisplay);
Print #1 , "AVR-Mikrocontroller";

Print #1 , Chr(inst) ; Chr(setcursor) ; Chr(1) ; Chr(2);
Print #1 , "sendet Text seriell";

Print #1 , Chr(inst) ; Chr(setcursor) ; Chr(1) ; Chr(3);
Print #1 , "an ein LCD 2041 von";

Print #1 , Chr(inst) ; Chr(setcursor) ; Chr(1) ; Chr(4);
Print #1 , "Matrix Orbital.";

Bitwait Pind.2 , Reset ' weiterschalten mit PD2 = Lo
Bitwait Pind.2 , Set

Print #1 , Chr(inst) ; Chr(cleardisplay);
Print #1 , Chr(inst) ; Chr(initbigdigit);
Print #1 , Chr(inst) ; Chr(placebigdigit) ; Chr(3) ; Chr(1);
Print #1 , Chr(inst) ; Chr(placebigdigit) ; Chr(6) ; Chr(2);
Print #1 , Chr(inst) ; Chr(placebigdigit) ; Chr(12) ; Chr(3);
Print #1 , Chr(inst) ; Chr(placebigdigit) ; Chr(15) ; Chr(4);
Print #1 , Chr(inst) ; Chr(setcursor) ; Chr(10) ; Chr(4);
Bitwait Pind.2 , Reset ' weiterschalten mit PD2 = Lo
Bitwait Pind.2 , Set
Print #1 , Chr(inst) ; Chr(cleardisplay);
Print #1 , Chr(inst) ; Chr(initbigdigit);
Print #1 , Chr(inst) ; Chr(placebigdigit) ; Chr(5) ; chr(1);
Print #1 , Chr(inst) ; Chr(placebigdigit) ; Chr(8) ; Chr(2);
Print #1 , Chr(inst) ; Chr(placebigdigit) ; Chr(11) ; Chr(3);
Print #1 , Chr(inst) ; Chr(setcursor) ; Chr(16) ; Chr(3) ; "km/h"
Print #1 , Chr(inst) ; Chr(setcursor) ; Chr(20) ; Chr(4);

Bitwait Pind.2 , Reset                                      ' weiterschalten mit PD2 = Lo
Bitwait Pind.2 , Set

Print #1 , Chr(inst) ; Chr(cleardisplay);
Print #1 , Chr(inst) ; Chr(initwidevbargraph);
For I = 1 To 20
   J = I * 32
   J = J / 20
   Print #1 , Chr(inst) ; Chr(drawvbargraph) ; Chr(i) ; Chr(j);
Next
Print #1 , Chr(inst) ; Chr(cursorhome);
Print #1 , "Bargraph";

Bitwait Pind.2 , Reset                                      ' weiterschalten mit PD2 = Lo
Bitwait Pind.2 , Set

Print #1 , Chr(inst) ; Chr(cleardisplay);
Print #1 , Chr(inst) ; Chr(inithbargraph);
Print #1 , Chr(inst) ; Chr(drawhbargraph) ; Chr(1) ; Chr(1) ; Chr(0) ; Chr(100);
Print #1 , Chr(inst) ; Chr(drawhbargraph) ; Chr(1) ; Chr(2) ; Chr(0) ; Chr(50);
Print #1 , Chr(inst) ; Chr(drawhbargraph) ; Chr(1) ; Chr(3) ; Chr(0) ; Chr(25);
Print #1 , Chr(inst) ; Chr(drawhbargraph) ; Chr(1) ; Chr(4) ; Chr(0) ; Chr(10);
Print #1 , Chr(inst) ; Chr(setcursor) ; Chr(13) ; Chr(4);
Print #1 , "Bargraph";

Bitwait Pind.2 , Reset                                      ' weiterschalten mit PD2 = Lo
Bitwait Pind.2 , Set

Print #1 , Chr(inst) ; Chr(cleardisplay);
Print #1 , "Programmende."

Close #1

End