$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3686400                                          ' fr STK500
$baud = 19200

Const Esc = 27

Dim key as Byte

Config Pind.2 = Input                                       ' PD2 ist Eingang INT0
Set Portd.2                                                 ' PullUp aktiv

On Int0 Int0_isr
Config Int0 = Low Level
Enable Int0                                                 ' WakeUp durch INT0 (PD2)
Enable Interrupts

Print "Sleep Demo - in den SLEEP Mode durch ESC"

Entry:
Do
   Print ".";
   Waitms 200
   Key = Inkey()
   Loop Until Key = Esc
   Print
   Print "SLEEP Mode aktiv"
   Print
   Mcucr = Mcucr And &B10101111                             ' PowerDown Mode
   Mcucr = Mcucr Or &B10100000                              ' MCUCR = 1010xxxx
   sleep
   Waitms 20
   Print : Print "WakeUp"
   Goto Entry
End

Int0_isr:
   nop
Return