$regfile = "m8def.dat"                                      ' ATmega8
$crystal = 3686400                                          ' for STK500
$baud = 19200
$sim

Const Reload = 195                                          ' Reloadwert fr Periode von 50 ms

Dim Count As Byte

Config Pinb.5 = Output
Led Alias Portb.5
Led = 1                                                     ' LED ausgeschaltet

Config Timer0 = Timer , Prescale = 1024

On Timer0 Timer0_isr                                        ' Sprung zur Timer0_ISR

Enable Timer0                                               ' Enable Timer Interrupt
Enable Interrupts                                           ' Enable Global Interrupt

Do
   Nop
Loop

End

Timer0_isr:
   Count = Tcnt0                                            ' Lese Timer0
   Tcnt0 = Count - Reload                                   ' Reload Timer0
   Led = 0 : Waitms 5 : Led = 1 ' Blink LED
Return